This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772397 - [Boost 1.48.0] A boost-timer has to be created to deliver libboost-timer.so library
[Boost 1.48.0] A boost-timer has to be created to deliver libboost-timer.so l...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 754865
  Show dependency treegraph
 
Reported: 2012-01-07 10:45 EST by Denis Arnaud
Modified: 2013-08-09 01:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-07 19:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2012-01-07 10:45:58 EST
Description of problem:
The (new) Boost.Timer library is not delivered along with the headers. A new sub-package has to be created.

Version-Release number of selected component (if applicable):
Boost-1.48.0 on Fedora Rawhide.

How reproducible:
Always

Steps to Reproduce:
1. Check that there is no boost-timer sub-package
2.
3.
  
Actual results:
There is no boost-timer sub-package (and no libboost-timer.so* library)

Expected results:
The libboost-timer.so* libraries should be available in a dedicated boost-timer sub-package.

Additional info:
That issue has originally been created on the Boost.CMake GitHub repository: https://github.com/pocb/boost/issues/1
Comment 1 Denis Arnaud 2012-01-07 19:13:12 EST
Koji build (of Boost-1.48.0 on Fedora Rawhide) has been successful: http://koji.fedoraproject.org/koji/taskinfo?taskID=3628185

The new Boost.Timer libraries are available from:
 * 32bits: http://koji.fedoraproject.org/koji/getfile?taskID=3628188&name=boost-timer-1.48.0-6.fc17.i686.rpm
 * 64bits: http://koji.fedoraproject.org/koji/getfile?taskID=3628187&name=boost-timer-1.48.0-6.fc17.x86_64.rpm

Note You need to log in before you can comment on or make changes to this bug.